#ifndef PLAYERSTART_H_
#define PLAYERSTART_H_

#include "LevelObject.h"
#include "Vertex3d.h"


class PlayerStart : public Vertex3d, public LevelObject {
  public:
    virtual bool hit(const Vertex &v) const {
      return (v.distanceSq(Vertex(getX(), getZ())) < 0.09);
    }
    
    virtual int getPriority() const {return 10;}
    
    virtual const char* getType() const {
      return "PlayerStart";
    }
    
    virtual bool canMove() const {return true;}
    
    virtual void move(float x, float y) {
      setX(getX()+x);
      setZ(getZ()+y);
    }
};

#endif /*PLAYERSTART_H_*/
